Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451439 - kdm fails to start
Summary: kdm fails to start
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 15:21 UTC by Bjorge Solli
Modified: 2008-09-28 22:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-28 22:31:57 UTC


Attachments (Terms of Use)

Description Bjorge Solli 2008-06-14 15:21:31 UTC
Description of problem:
I have changed /etc/sysconfig/desktop to
DISPLAYMANAGER=kdm

But I only get the console login screen (not even the gdm).

Changing the value to xdm, wdm or gdm results in a successful change of login
manager.

/var/log/kdm.log says:
X.Org X Server 1.4.99.901 (1.5.0 RC 1)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.14.el5xen i686 
Current Operating System: Linux btest1.klientdrift.uib.no 2.6.25.6-55.fc9.i686
#1 SMP Tue Jun 10 16:27:49 EDT 2008 i686
Build Date: 06 May 2008  03:35:07PM
Build ID: xorg-x11-server 1.4.99.901-29.20080415.fc9 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Jun 14 13:17:05 2008
(==) Using config file: "/etc/X11/xorg.conf"
expected keysym, got XF86Info: line 914 of inet
expected keysym, got XF86Info: line 914 of inet
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
<stdin>:30:1: error: unterminated #if
kdmgreet(2647)/kdecore (KLocale) KLocalePrivate::initEncoding:  Defaulting to
ISO 8859-1 encoding. 
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  8 (X_MapWindow)
  Resource id in failed request:  0x0
  Serial number of failed request:  10743
  Current serial number in output stream:  10801


It happens on all machines I have tested. They are all installed using a custom
kickstart script. The rest of the system works fine and I can successfully log
on when using gdm.

I have not attempted to change kdm config in any way.

Comment 1 Kevin Kofler 2008-06-14 18:15:49 UTC
The correct setting is DISPLAYMANAGER="KDE", not kdm.

Comment 2 Kevin Kofler 2008-06-14 18:16:28 UTC
And I'll make the question more explicit: does this still happen if you set 
DISPLAYMANAGER to KDE rather than kdm?

Comment 3 Bjorge Solli 2008-06-16 08:20:32 UTC
Yes. This time I could see kdm start, but then it crashes with what appears to
be the same error in kdm.log. The console login appears.

X.Org X Server 1.4.99.902 (1.5.0 RC 2)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.19.el5 i686 
Current Operating System: Linux btest1.klientdrift.uib.no 2.6.25.6-55.fc9.i686
#1 SMP Tue Jun 10 16:27:49 EDT 2008 i686
Build Date: 12 June 2008  01:05:58AM
Build ID: xorg-x11-server 1.4.99.902-3.20080612.fc9 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Jun 16 10:03:36 2008
(==) Using config file: "/etc/X11/xorg.conf"
expected keysym, got XF86Info: line 914 of inet
expected keysym, got XF86Info: line 914 of inet
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
<stdin>:30:1: error: unterminated #if
kdmgreet(2655)/kdecore (KLocale) KLocalePrivate::initEncoding:  Defaulting to
ISO 8859-1 encoding. 
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  8 (X_MapWindow)
  Resource id in failed request:  0x0
  Serial number of failed request:  10744
  Current serial number in output stream:  10802


Comment 4 Rex Dieter 2008-06-16 11:45:43 UTC
What video hw/driver are you using?

Comment 5 Bjorge Solli 2008-06-16 12:06:49 UTC
I'm trying on 3 different machines. One with radeon driver and otwo with intel
driver. I only have this problem on the two machines with intel driver (sorry
for not trying the radeon machine earlier). Both with intel driver run gdm fine,
and can start both kde and gnome from gdm. The controllers are:
: Intel Corporation 82865G Integrated Graphics Controller (rev 02)
: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device
(rev 01)

Comment 6 Bjorge Solli 2008-06-20 09:31:49 UTC
Are you able to reproduce the error?

Comment 7 Bjorge Solli 2008-06-23 13:26:27 UTC
I now have a machine that uses the intel driver, has the same chip as the last
one I mentioned in comment #5, and kdm starts just fine every time I reinstall.
I did try with a different monitor and the same xorg.conf on the one it fails
on. The two machines are almost identical, they are both Dell GX260, one a tower
model and the other a desktop model. They are both on the same (the last A9)
BIOS version.

The only difference we have noticed is that they load some of the kernel modules
in a different order, otherwise they have the exact same setup (same kickstart
file).

I hope you have some solution for this as I have quite a lot of these machines
that I would prefer running kdm on.

Comment 8 Rex Dieter 2008-06-23 13:36:00 UTC
I'm afaid no solution is forthcoming until either we can reproduce it and/or
more useful debugging/troubleshooting can id where the failure occurs.

Comment 9 Bjorge Solli 2008-06-23 13:43:27 UTC
I've tested as much as I can, and I cannot find any solution. My workday just
finished, but I can work more on this if I get a list of suggestions (because we
are blank at the moment).

Comment 10 Paweł Findeisen 2008-07-14 21:11:39 UTC
I have also a problem with starting kdm on FC9. If DISPLAYMANAGER = KDE instead
of login screen I get a blank screen with single xterm window in the corner.

Bjørge, your "console login screen" is displayed in xterm window or in plain
text mode?


Comment 11 Steven M. Parrish 2008-09-28 22:31:57 UTC
Going to close this since we are unable to reproduce or fix the issue.  If you have more information that you feel will help to isolate the issue please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.